Subject: Re: [ifmib] RFC 2495 - Managed Objects ... DS1 Question on Unavailable Seconds (fwd)

From: "C. M. Heard" <[email-masked]>
Date: Tue, 25 Sep 2001 12:33:17 -0700 (PDT)

On Mon, 24 Sep 2001 Andrew Worsley wrote:
>   [ ... ]   A question has come up about the exact interpretation of UAS
>   (Unavailable Seconds) as defined in RFC 2495 - "Definitions of Managed
>   Objects for the DS1, E1, DS2 and E2 Interface Types". 
> 
>   Basically if a failure state persists for less than 10 seconds but you have
>   only a smaller period of SES (Severly Errored Seconds) the definition
>   implies that the interface becomes available when the SES cease *even*
>   though the fault might be still present at this time. This appears to be
>   inconsistant with the requirement that UAS start as soon as a fault
>   appears.

In modern equipment it is customary to enter a (near-end) failure
state when the triggering defect is present for 2.5 +/0 0.5 sec
and to leave the failure state when the defect is absend for
15 +/- 5 seconds.  That makes it impossible for the failure state
to last less than 10 seconds, which avoids the contradiction.

On Tue, 25 Sep 2001, Paul Obeda wrote:
> If the error condition persists such that there are 10 contiguous
> seconds of an SES condition, it gets pegged instead* as a UAS
> condition, and continues to be pegged as a UAS condition until
> the onset of 10 contiguous seconds without an SES condition
> (with the caveat that if the failure clearing time is longer
> than 10 seconds, we may have to make further adjustments).
> 
>   * This may require some adjustments to the SES and UAS
>     counts for the current and (possibly) previous intervals.
> 
> Of course, if I've misstated this then manyfolks will jump
> to correct me.

Making sure a failure lasts at least 10 seconds solves this
problem too.  (See also the appendices which explain how to
avoid retroactive counter adjustments by using a delay line.)

Mike

P.S.  In the ANSI-compliant DS1 performance monitors on which
I have worked all this stuff was irrelevant.  ANSI T1.231-1997
defines unavailable time as starting at the first of 10
consecutive SESs and as ending at the first of 10 non-SESs,
irrespective of failure states.  That makes the implementation
much simpler.  -- cmh